Summary:	Utilities that detect other operating system installs on a set of drives
Summary(pl.UTF-8):	Narzędzia wykrywające instalacje innych systemów operacyjnych na dyskach
Name:		os-prober
Version:	1.82
Release:	1
License:	GPL v2+
Group:		Applications/System
Source0:	http://ftp.debian.org/debian/pool/main/o/os-prober/%{name}_%{version}.tar.xz
# Source0-md5:	f970156e641123bfe6065f17e945b087
URL:		http://packages.qa.debian.org/o/os-prober.html
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	mount
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libdir		%{_prefix}/lib

%description
This is a small package that may be depended on by any bootloader
installer package to detect other filesystems with operating systems
on them, and work out how to boot other Linux installs.

%description -l pl.UTF-8
Ten mały pakiet może być wykorzystywany przez dowolne instalatory
bootloaderów w celu wykrycia innych systemów plików zawierających
systemy operacyjne i określenia sposobu uruchomienia innych instalacji
Linuksa.

%prep
%setup -q

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/var/lib/%{name},%{_bindir},%{_datadir}/%{name},%{_libdir}/%{name}}
install -p %{name} $RPM_BUILD_ROOT%{_bindir}
install -p linux-boot-prober $RPM_BUILD_ROOT%{_bindir}
cp -p common.sh $RPM_BUILD_ROOT%{_datadir}/%{name}
install -p newns $RPM_BUILD_ROOT%{_libdir}/%{name}

ARCH=other
%ifarch m68k
ARCH=m68k
%endif
%ifarch ppc ppc64
ARCH=powerpc
%endif
%ifarch sparc sparc64
ARCH=sparc
%endif
%ifarch %{ix86} %{x8664}
ARCH=x86
%endif
for probes in os-probes os-probes/mounted os-probes/init \
			  linux-boot-probes linux-boot-probes/mounted; do \
	install -d $RPM_BUILD_ROOT%{_libdir}/$probes
	cp -a $probes/common/* $RPM_BUILD_ROOT%{_libdir}/$probes
	if [ -e "$probes/$ARCH" ]; then
		cp -a $probes/$ARCH/* $RPM_BUILD_ROOT%{_libdir}/$probes
	fi
done

if [ "$ARCH" = x86 ]; then
	cp -p os-probes/mounted/powerpc/20macosx $RPM_BUILD_ROOT%{_libdir}/os-probes/mounted
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README TODO debian/changelog debian/copyright
%attr(755,root,root) %{_bindir}/linux-boot-prober
%attr(755,root,root) %{_bindir}/os-prober
%dir %{_libdir}/linux-boot-probes
%attr(755,root,root) %{_libdir}/linux-boot-probes/50mounted-tests
%dir %{_libdir}/linux-boot-probes/mounted
%attr(755,root,root) %{_libdir}/linux-boot-probes/mounted/*
%dir %{_libdir}/os-prober
%attr(755,root,root) %{_libdir}/os-prober/newns
%dir %{_libdir}/os-probes
%attr(755,root,root) %{_libdir}/os-probes/50mounted-tests
%dir %{_libdir}/os-probes/init
%attr(755,root,root) %{_libdir}/os-probes/init/*
%dir %{_libdir}/os-probes/mounted
%attr(755,root,root) %{_libdir}/os-probes/mounted/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/common.sh
%dir /var/lib/os-prober
%changelog
* Tue Aug 13 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/os-prober.git;a=log;h=master

* Sun Aug 11 2024 Jakub Bogusz <qboosh@pld-linux.org> d044750
- updated to 1.82

* Mon Aug 01 2022 Jan Palus <atler@pld-linux.org> 0bd089f
- up to 1.81

* Mon May 30 2022 Jan Palus <atler@pld-linux.org> d40ab6f
- up to 1.80

* Tue Jul 13 2021 Jan Palus <atler@pld-linux.org> 6d16caf
- up to 1.79

* Fri Jan 22 2021 Jan Palus <atler@pld-linux.org> d4127db
- up to 1.78

* Tue Dec 25 2018 Jan Palus <atler@pld-linux.org> 85fe08e
- up to 1.77

* Wed Jun 28 2017 Jan Palus <atler@pld-linux.org> e549a34
- up to 1.76

* Sun May 07 2017 Jan Palus <atler@pld-linux.org> 7fd8290
- up to 1.75

* Sun Feb 12 2017 Jan Palus <atler@pld-linux.org> ed23f96
- up to 1.74

* Sun Jan 31 2016 Jan Palus <atler@pld-linux.org> 135c3f2
- up to 1.71

* Tue Oct 27 2015 Jan Palus <atler@pld-linux.org> 958e5b5
- up to 1.70

* Sun Oct 18 2015 Jan Palus <atler@pld-linux.org> 212b6b5
- up to 1.68

* Sat Jul 18 2015 Jan Palus <atler@pld-linux.org> 27bf61c
- up to 1.66

* Sat Nov 29 2014 Jakub Bogusz <qboosh@pld-linux.org> ce6b027
- updated to 1.65

* Thu Aug 21 2014 Elan Ruusamäe <glen@delfi.ee> dcd0b07
- tar.xz deps

* Thu Aug 21 2014 Jan Palus <atler@pld-linux.org> 15751ff
- up to 1.64

* Sun Sep 01 2013 Jakub Bogusz <qboosh@pld-linux.org> bf5fbc3
- updated to 1.63

* Sun Jul 21 2013 Jakub Bogusz <qboosh@pld-linux.org> c20ba6d
- updated to 1.62

* Sun May 26 2013 Jakub Bogusz <qboosh@pld-linux.org> 8393314
- updated to 1.61

* Sun May 19 2013 Jakub Bogusz <qboosh@pld-linux.org> 62fa5bb
- updated to 1.60

